Package com.xebialabs.xlrelease.events

## Class FolderVariableUpdateOperation$

- java.lang.Object
- - scala.runtime.AbstractFunction3<Variable,​Variable,​java.lang.String,​FolderVariableUpdateOperation>
  - - com.xebialabs.xlrelease.events.FolderVariableUpdateOperation$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<Variable,​Variable,​java.lang.String,​FolderVariableUpdateOperation>`

      public class FolderVariableUpdateOperation$
      extends scala.runtime.AbstractFunction3<Variable,​Variable,​java.lang.String,​FolderVariableUpdateOperation>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FolderVariableUpdateOperation$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderVariableUpdateOperation$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FolderVariableUpdateOperation` | `apply​(Variable original, Variable updated, java.lang.String taskId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<Variable,​Variable,​java.lang.String>>` | `unapply​(FolderVariableUpdateOperation x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final FolderVariableUpdateOperation$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### FolderVariableUpdateOperation$

          public FolderVariableUpdateOperation$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<Variable,​Variable,​java.lang.String,​FolderVariableUpdateOperation>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<Variable,​Variable,​java.lang.String,​FolderVariableUpdateOperation>`

    - #### apply

          public FolderVariableUpdateOperation apply​(Variable original,
                                                     Variable updated,
                                                     java.lang.String taskId)

      Specified by:
        `apply` in interface `scala.Function3<Variable,​Variable,​java.lang.String,​FolderVariableUpdateOperation>`

    - #### unapply

          public scala.Option<scala.Tuple3<Variable,​Variable,​java.lang.String>> unapply​(FolderVariableUpdateOperation x$0)